lintian reports shlib-calls-exit from flex generated source code when building a DEB package

If a DEB package contains a shared library that was built from source code that was generated by flex , /usr/bin/lintian would report shlib-calls-exit because of the exit() call in the...

Nginx Can't find Source Directory

I can't seem to find nginx's source directory on ubuntu 14.04, I would like to add other modules, i.e. ./configure --add_module, I thought it would be /etc/nginx/ but apparently not... Where could...

CAFFE: Cuda Error "(8 vs. 0) invalid device function" when using GPU (GeForce GTX 970)?

I'm trying to run the CNN Network "CAFFE" on a GTX 970. But I get the error mentioned in the title. Can someone help? I posted the issue with more details on the caffe group, but received no...

Changing one particular shared library in executable binary

Here is written that curlftpfs is terribly slow because of bug in newest libcurl3-gnutls. Downgrading is not recommended due to large reverse dependencies that this package has (can be verified...

Override dir-or-file-in-opt

I maintain a commercial, binary package for debian, ubuntu, & etc. and have gotten complaints about "bad package quality" from the Ubuntu installer. The root cause of this appears to be that the...

How to list target_link_libraries available on a system?

I'm trying to link with the Curl library in my CMakeLists.txt and I know that I should require the package add executable and link the library but I don't know how the variables names are called...

Linker Error with log4cxx

I'd like to use Apache log4cxx and am running into a problem. I'm running on Debian 8 and installed log4cxx using apt-get install liblog4cxx10-dev I have embedded one of the code snippets in...

How to input chinese characters in php cli?

The chinese characters can be displayed and inputted on my LXTerminal. [email protected]:/home/debian8# 中文 \\now to input chinese characters on my LXTerminal,it means chinese characters can be...

Why is dh_autoreconf_clean patching ltmain.sh?

.. and why does it break my packaging build? I am trying to build .deb packages for the latest git version of VLC. Namely, I'm taking the "/debian" directory from my distros (ubuntu 15.10) source...

Milter greylist libmilter not found

I am trying to install milter-greylist. http://hcpnet.free.fr/milter-greylist/ After downloading and unarchiving, I am trying to run the configure script and I get this error: Required...

Build deb package version with command line option

Newbie to build deb package. I've a build script to generate packages for Ubuntu. Version number is there in changelog. I'd like to automate the process of building deb packages without touching...

Comand "play install maven" doesn't work

I'm doing like in official Play instruction says: first you need to download and install apache maven finally, you need to install the play-maven module play install maven I have installed maven....

Where is my neo4j installed on Ubuntu?

I followed some instruction on the web and installed Neo4j, but not exactly sure where it's installed. bin$ whereis neo4j neo4j: /usr/bin/neo4j /etc/neo4j /usr/share/neo4j...

"The location of Firebird Client Library could not be determined."

I encountered a similar problem as dicussed in here: https://stackoverflow.com/questions/48035341/firebird-embedded-installation-issue-library-could-not-be-determined I'm running a python(3.5.2)...

dpkg-deb --build : debconf fails when I use db_input

I am trying to build a package using dpkg-deb --build command. When I try to use db_input, it fails : dpkg-deb --build audionet-0.0.8b/ dpkg-deb: building package `audionet' in...

Debian package : where is the right place to put temporary installation files?

I am trying to build a binary package for Debian (with dpkg-deb --build) and I need to copy some files into the target machine to complete the installation with a postinst script (and remove them...

Wt Linking error on ubuntu

I installed WT: sudo apt-get install witty witty-dbg witty-dev witty-doc and now, when linking the Hello World example, g++ -std=c++14 -o hello HelloW.cpp -I./src -L/usr/lib/lib -lwthttp...

dh: unable to load addon config-package

After installing the debuild toolchain with: sudo apt-get install devscripts build-essential lintian I got the following error when running debuild to build a package: dh clean ...

How reinstall and recover broken python?

My system is Ubuntu 16.04. ~$ python3 -V Python 3.6.5 :: Anaconda, Inc. ~$ python -V Python 3.6.5 :: Anaconda, Inc. I once did some stupid thing about rm -f to remove some lower version of...

Wrong version of libcublas used

I have cuda-9.0 installed, and in the /usr/local/cuda-9.0/lib64 library, there exists shared file libcublas.so.9.0. However, whenever I do locate libcublas, I get the following: locate...

JavaFX media player does not play video

Using OpenJFX 11 I am using a mediaplayer to play some clips on a Linux system. Some of them display, others don't. As far as I can tell the only difference in the encoding is, that the not...

static linking mongocxx missing sasl

I am trying to build a simple mongocxx application and I am having linking errors: -- Found ZLIB: /usr/lib/x86_64-linux-gnu/libz.so (found version "1.2.8") -- Configuring done -- Generating...

Package not found - add libav to PKG_CONFIG_PATH environment variable

I am attempting to build the Parrot SDK and when running the command it continuously fails due to multiple libav package variants not being found. Below is the error message. ...

Unable to configure AGENT++ configure: error: Cannot find suitable libsnmp++ library

I downloaded the code for AGENT++ and per the instructions: autoreconf -i ./configure make But when I run ./configure I get checking for ld used by gcc... /usr/bin/ld checking if the linker...

How to completely reset everything Python to default in Ubuntu 18.04?

Edit: So now which pip, which python and which python3 have started working correctly somehow. I was also able to install libraries using pip. The only remaining problem is that of the apt_pkg. ...

gpg: clear-sign failed: Permission denied

I'm trying to build a debian package from a very simple "hithere"/helloworld c code. I'm getting this error $ DEBNAME="Maintainer" [email protected] debmake -a hithere-0.8.1.tar.gz -T...

How to tell gcc where to find cc1?

I have a problem whenever I try to compile any C program. Being it the simplest hello world: #include <stdio.h> int main() { printf("HelloWorld"); } If I try to compile I get the following...

VueJS + Electron create debian installer doesn't work (electron-installer-debian)

I was working with VueJS to create a web application and I finally decide to change it into a desktop one. So i cloned my project and based on this QuickStart tutorial Vue CLI Plugin Electron...

Tensorflow 2.3.0 in Ubuntu: libcublas.so.10: cannot open shared object file

I was trying to run in Keras but got terminate called after throwing an instance of 'std::bad_alloc' which doesn't make sense since I'm running the same Unet as before. I did make changes to...

How to fix "debian-rules-is-dh_make-template"?

Problem I had a following error(debian-rules-is-dh_make-template) from lintian. How should I fix to pass the error? The message showed me that I didn't modify debian/rules, but I already modified...

Relevant tags